// eslint-disable-next-line @typescript-eslint/triple-slash-reference
/// <reference path="../.astro/types.d.ts" />
/// <reference types="astro/client" />
/// <reference types="vite/client" />
/// <reference types="../vendor/integration/types.d.ts" />

import PocketBase from 'pocketbase'
export interface ImportMetaEnv {
  NODE_ENV: string
  APP_URL: string

  POCKETBASE_URL: string

	GOOGLE_API_KEY: string
}

interface ImportMeta {
	readonly env: ImportMetaEnv
}

declare global {
    namespace App {
        interface Locals {
			pb: PocketBase
        }
    }
}
